Bug 159951 - [patch] www/woof to support Python 2.7
Summary: [patch] www/woof to support Python 2.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-21 04:40 UTC by Allison Reid
Modified: 2012-01-14 19:30 UTC (History)
0 users

See Also:


Attachments
file.diff (8.00 KB, patch)
2011-08-21 04:40 UTC, Allison Reid
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Allison Reid 2011-08-21 04:40:06 UTC
woof.py is broken under Python 2.7.



[nicole@emi#Desktop]woof WOHDTeamLogos.zip
Now serving on http://172.16.0.40:8080/
Ashlotte.aloe.cooltrainer.org - - [20/Aug/2011 23:21:35] "GET /WOHDTeamLogos.zip HTTP/1.1" 200 -
----------------------------------------
Exception happened during processing of request from ('172.16.0.202', 58655)
Traceback (most recent call last):
  File "/usr/local/lib/python2.7/SocketServer.py", line 284, in _handle_request_noblock
    self.process_request(request, client_address)
  File "/usr/local/lib/python2.7/SocketServer.py", line 310, in process_request
    self.finish_request(request, client_address)
  File "/usr/local/lib/python2.7/SocketServer.py", line 323, in finish_request
    self.RequestHandlerClass(request, client_address, self)
  File "/usr/local/lib/python2.7/SocketServer.py", line 641, in __init__
    self.finish()
  File "/usr/local/lib/python2.7/SocketServer.py", line 694, in finish
    self.wfile.flush()
  File "/usr/local/lib/python2.7/socket.py", line 303, in flush
    self._sock.sendall(view[write_offset:write_offset+buffer_size])
error: [Errno 32] Broken pipe
----------------------------------------

Fix: Apply the included patch.






[nicole@emi#Desktop]woof WOHDTeamLogos.zip 
Now serving on http://172.16.0.40:8080/
Ashlotte.aloe.cooltrainer.org - - [20/Aug/2011 23:20:31] "GET /WOHDTeamLogos.zip HTTP/1.1" 200 -

[nicole@emi#Desktop]python --version
Python 2.7.2



Patch submitted upstream as well.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-08-21 04:40:15 UTC
Maintainer of www/woof,

Please note that PR ports/159951 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/159951

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-08-21 04:40:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Michael Scheidell 2011-12-10 05:09:49 UTC
did upstream ever accept the fixes?  if so, do you have a ports update 
patch for this?
or should this be committed as is?
-- 
Michael Scheidell, CTO
o: 561-999-5000
d: 561-948-2259
 >*| *SECNAP Network Security Corporation

    * Best Mobile Solutions Product of 2011
    * Best Intrusion Prevention Product
    * Hot Company Finalist 2011
    * Best Email Security Product
    * Certified SNORT Integrator

______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.spammertrap.com/
______________________________________________________________________
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2011-12-25 17:53:06 UTC
State Changed
From-To: feedback->open

feedback / maintainer timeout
Comment 5 Martin Wilke freebsd_committer 2012-01-14 03:58:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 6 Martin Wilke freebsd_committer 2012-01-14 19:20:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2012-01-14 19:21:01 UTC
miwi        2012-01-14 19:20:46 UTC

  FreeBSD ports repository

  Modified files:
    www/woof             Makefile 
  Added files:
    www/woof/files       extra-patch-woof-2009-12-27-python27.diff 
  Log:
  - Add support for py 2.7
  
  PR:             159951
  Submitted by:   Nicole Reid <root@cooltrainer.org>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.5       +12 -2     ports/www/woof/Makefile
  1.1       +190 -0    ports/www/woof/files/extra-patch-woof-2009-12-27-python27.diff (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"